petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMMonitorCancel

Clears all the monitor functions for a DM object.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMMonitorCancel(DM dm)

Logically Collective on DM

### Input Parameter

dm -the DM

### Options Database Key

-dm_monitor_cancel -cancels all monitors that have been hardwired into a code by calls to DMonitorSet(), but does not cancel those set via the options database

### Notes

There is no way to clear one specific monitor from a DM object.

### See Also

DMMonitorSet()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages